Package ru.bitel.bgbilling.modules.paymaster.common.service

# Interface PayMasterService

All Superinterfaces:
  `PaymentServiceProvider`

    public interface PayMasterService
    extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `doManualAutopayment​(int contractId, java.math.BigDecimal sum)` | Ручной автоплатеж
  `Autopayment` | `getAutopaymentCurrentMode​(int contractId)` | Возвращает текущий режим автоплатежа
  `SearchResult<Autopayment>` | `searchAutopaymentList​(int contractId, Period period, java.lang.String[] sort, Page page)` | Возращает историю изменения автоплатежей на договоре
  `SearchResult<Transaction>` | `searchTransactionList​(int paymasterId, int contractId, java.lang.String status, Period period, Page page)` | Метод получения списка транзакций с фильтром

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction`

- ## Method Details

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList​(int paymasterId, int contractId, java.lang.String status, Period period, Page page) throws ru.bitel.bgbilling.common.BGException
    Метод получения списка транзакций с фильтром
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAutopaymentCurrentMode

    Autopayment getAutopaymentCurrentMode​(int contractId) throws ru.bitel.bgbilling.common.BGException
    Возвращает текущий режим автоплатежа
    Parameters:
      `contractId` - код договора
    Returns:
      Объект с параметрами текущего режима автоплатежа или null
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doManualAutopayment

    void doManualAutopayment​(int contractId, java.math.BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Ручной автоплатеж
    Parameters:
      `contractId` -
      `sum` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchAutopaymentList

    SearchResult<Autopayment> searchAutopaymentList​(int contractId, Period period, java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Возращает историю изменения автоплатежей на договоре
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`